/***************************************************************************
 *                                                                         *
 *   copyright (C) 2007-2008 by Timo Benk                                  *
 *   email: tbenk@pwsafe.de                                                *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License version 2        *
 *   as published by the Free Software Foundation.                         *
 *                                                                         *
 ***************************************************************************/

#ifndef ABOUTDIALOG_H
#define ABOUTDIALOG_H

#include <QWidget>
#include <QLabel>
#include <QLineEdit>
#include <QPushButton>
#include <QGridLayout>
#include <QMessageBox>
#include <QCheckBox>
#include <QDialog>
#include <QGroupBox>
#include <QShortcut>
#include <iostream>
#include "configstore.h"

class AboutDialog : public QDialog
{
    Q_OBJECT 

    public:
        /**
         * Nothing special, just a about dialog.
         */
        AboutDialog(QWidget *parent = 0);

    protected:
        QLabel *m_title_lbl;
        QLabel *m_copyright_lbl;
        QLabel *m_license_lbl;
        QLabel *m_icon;

        QPushButton *m_ok_btn;

        QGroupBox *m_box;

        QGridLayout *m_grid;
        QGridLayout *m_gbox;
};

#endif

/* vim:set expandtab tabstop=4 shiftwidth=4 softtabstop=4 nowrap: */
